Bug 643700 - [R423] black window when running glxgears after resume from suspend on ATI Radeon X800 SE
Summary: [R423] black window when running glxgears after resume from suspend on ATI Ra...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 16
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:suspend]
: 643701 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-17 12:54 UTC by Joachim Frieben
Modified: 2018-04-11 07:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 00:43:07 UTC


Attachments (Terms of Use)
Xorg.0.log file for ATI Radeon X800 SE (R430) (61.59 KB, text/plain)
2010-12-11 09:54 UTC, Joachim Frieben
no flags Details
Xorg configuration file 60-devices.conf (224 bytes, text/plain)
2010-12-11 09:54 UTC, Joachim Frieben
no flags Details
Xorg configuration file 60-monitors.conf (299 bytes, text/plain)
2010-12-11 09:55 UTC, Joachim Frieben
no flags Details
Output of dmesg (109.40 KB, text/plain)
2010-12-11 09:56 UTC, Joachim Frieben
no flags Details
System log file /var/log/mesages (84.48 KB, text/plain)
2010-12-11 10:00 UTC, Joachim Frieben
no flags Details
Xorg.0.log file for ATI Radeon X800 SE (R430) after resume (tail) (4.96 KB, text/plain)
2010-12-11 10:01 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2010-10-17 12:54:57 UTC
Description of problem:
When running glxgears after resume from suspend on a system equipped with an ATI Radeon X800 SE (R430), all I get is a black window. Moreover, it does not react to keyboard input, namely pressing <ESC>. The application windows just stays there, even after pressing <ctrl-C> in the terminal window from which it had been launched.
 
Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.13.1-0.3.20100705git37b348059.fc14.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Run glxgears.
2. Suspend and resume.
3. Run glxgears.
  
Actual results:
Application window is black and does not respond to keyboard input.

Expected results:
Application window shows turning gears.

Additional info:
No desktop effects were enabled during the X session.

Comment 1 Joachim Frieben 2010-11-30 08:44:45 UTC
No improvement for the "rawhide" backport xorg-x11-drv-ati-6.13.2-0.1.20101109git0c2834e67.fc14.x86_64.

Comment 2 Joachim Frieben 2010-12-03 17:58:39 UTC
No improvement after updating to:
- kernel-2.6.35.9-62.fc14.x86_64

and locally rebuilt packages from "rawhide" including:
- libdrm-2.4.23-0.2.20101123.fc14.x86_64
- mesa-libGL-7.10-0.14.fc14.x86_64
- xorg-x11-server-Xorg-1.9.99.1-1.20101201.fc14.x86_64
- xorg-x11-drv-ati-6.13.2-0.3.20101201gite142e55c5.fc14.x86_64.

Comment 3 Matěj Cepl 2010-12-07 17:01:57 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 4 Joachim Frieben 2010-12-11 09:54:23 UTC
Created attachment 468126 [details]
Xorg.0.log file for ATI Radeon X800 SE (R430)

Comment 5 Joachim Frieben 2010-12-11 09:54:58 UTC
Created attachment 468127 [details]
Xorg configuration file 60-devices.conf

Comment 6 Joachim Frieben 2010-12-11 09:55:30 UTC
Created attachment 468128 [details]
Xorg configuration file 60-monitors.conf

Comment 7 Joachim Frieben 2010-12-11 09:56:14 UTC
Created attachment 468129 [details]
Output of dmesg

Comment 8 Joachim Frieben 2010-12-11 10:00:17 UTC
Created attachment 468131 [details]
System log file /var/log/mesages

Comment 9 Joachim Frieben 2010-12-11 10:01:20 UTC
Created attachment 468132 [details]
Xorg.0.log file for ATI Radeon X800 SE (R430) after resume (tail)

Comment 10 Joachim Frieben 2010-12-11 10:05:06 UTC
*** Bug 643701 has been marked as a duplicate of this bug. ***

Comment 11 Joachim Frieben 2011-02-05 15:59:04 UTC
Issue persists for a fully updated "rawhide" system including packages:

- kernel-2.6.38-0.rc3.git4.1.fc15.x86_64
- libdrm-2.4.24-0.1.20110106.fc15.x86_64
- mesa-libGL-7.10-0.24.fc15.x86_64
- xorg-x11-drv-ati-6.14.0-1.20110204gita27b5dbd9.fc15.x86_64
- xorg-x11-server-Xorg-1.9.99.1-3.20101201.fc15.x86_64

This issue gains some importance now that "rawhide" is running a GL based compositor (mutter) by default and no means is provided to choose metacity instead. This implies that after resuming a suspended session, the desktop is frozen and that the only remedy to regain control is to reboot the system. Restarting X is -not- sufficient!

Comment 12 Joachim Frieben 2011-03-14 10:51:59 UTC
No improvement for current F15 including mesa-libGL-7.10-0.29.fc15.
I have rebuilt mesa-7.10-0.29.fc15 -without- the Radeon Gallium driver and installed, but the GNOME shell does not work correctly then.
Are there restrictions using the R300 TCL DRI2 driver with F15?

Comment 13 Joachim Frieben 2011-03-20 18:04:42 UTC
Issue persists for a local backport mesa-7.11-0.20110315.0.fc15 from the development tree to current F15 for -both- R300 Gallium -and- R300 TCL DRI2 drivers.

Comment 14 Joachim Frieben 2011-05-04 10:59:21 UTC
No improvement for current F15 including 
- kernel-2.6.38.5-23.fc15.x86_64
- libdrm-2.4.25-1.fc15.x86_64
- mesa-libGL-7.11-0.6.20110412.0.fc15.x86_64
- xorg-x11-drv-ati-6.14.1-1.20110504gita6d2dba6.fc15.x86_64
- xorg-x11-server-Xorg-1.10.1-11.fc15.x86_64
After resume, the screen is black, only the top panel is visible.

I suggest to raise the priority level because GNOME3 is the default desktop for F15, and facing a broken graphics interface after resume is a serious user issue.

Comment 15 Joachim Frieben 2011-05-31 14:30:38 UTC
No improvement for current F15 including
- kernel-2.6.38.7-30.fc15.x86_64
- libdrm-2.4.25-1.fc15.x86_64
- mesa-libGL-7.11-0.11.20110525.0.fc15.x86_64
- xorg-x11-drv-ati-6.14.1-2.20110525gitfe5c42f51.fc15.x86_64
- xorg-x11-server-Xorg-1.10.2-1.fc15.x86_64

Comment 16 Adam Allen 2011-06-06 19:56:51 UTC
This bug reports sounds the same as I am experiencing with an ATI RV370 [Radeon X300SE].

With KMS disabled suspend/resume works.

Comment 17 Joachim Frieben 2011-07-23 11:19:57 UTC
This is not a Mesa issue because Red Hat Enterprise Linux 6.1 which features mesa-libGL-7.10-1.el6 is not affected, thus reassigning to xorg-x11-drv-ati.

Comment 18 Joachim Frieben 2011-11-15 08:10:58 UTC
No improvement for current F16 including
- kernel-3.1.1-1.rc1.fc16.x86_64
- libdrm-2.4.26-3.fc16.x86_64
- mesa-libGL-7.11-10.fc16.x86_64
- xorg-x11-drv-ati-6.14.2-2.20110727git8c9266ed2.fc16.x86_64
- xorg-x11-server-Xorg-1.11.2-3.fc16.x86_64

After resume, the screensaver's unlock panel appears, and it is possible to unlock the desktop. Until that point, the panel clock shows the correct time and is being updated as expected. Only after entering the keyword, the screen turns black except for the upper GNOME panel which is frozen though.

In the dmesg output, the following message may be related:

.. [drm:drm_mode_getfb] *ERROR* invalid framebuffer id

Comment 19 Joachim Frieben 2011-12-08 20:00:59 UTC
No improvement for current F16 including
- kernel-3.1.5-0.rc1.2.fc16.x86_64
- libdrm-2.4.27-2.fc16.x86_64
- mesa-libGL-7.11.2-1.fc16.x86_64
- xorg-x11-drv-ati-6.14.3-3.20111125git534fb6e41.fc16.x86_64
- xorg-x11-server-Xorg-1.11.2-3.fc16.x86_64

?? This major usability issue has not drawn any attention upon it ??

Comment 20 Joachim Frieben 2012-02-25 07:13:06 UTC
No improvement for current F16 including
- kernel-3.2.7-1.fc16.x86_64
- libdrm-2.4.30-1.fc16.x86_64
- mesa-libGL-7.11.2-3.fc16.x86_64
- xorg-x11-drv-ati-6.14.3-4.20120201git36c190671.fc16.x86_64
- xorg-x11-server-Xorg-1.11.4-1.fc16.x86_64

Comment 21 Joachim Frieben 2012-04-01 20:35:30 UTC
No improvement for current F17 including
- kernel-3.3.0-8.fc17.x86_64
- libdrm-2.4.33-1.fc17.x86_64
- mesa-libGL-8.0.1-9.fc17.x86_64
- xorg-x11-drv-ati-6.14.4-2.20120329gitde2419e55.fc17.x86_64
- xorg-x11-server-Xorg-1.12.0-2.fc17.x86_64

After resume, the unlock dialog is operational but upon entering the password and confirming, the screen is all black expcept for the top panel which is not functional anymore. After switching to run level 3 and restarting X, glxinfo returns:

...
OpenGL vendor string: VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 0x300)
OpenGL version string: 2.1 Mesa 8.0.1
OpenGL shading language version string: 1.20
...

This bug has been around ever since F14 although back then, it only broke GL but not the desktop. This has completely changed with the advent of F15 and the GNOME shell being GL based by default!

Comment 22 Joachim Frieben 2012-08-05 15:09:33 UTC
No improvement for current F17 including
- kernel-3.5.0-2.fc17.x86_64
- libdrm-2.4.33-3.fc17.x86_64
- mesa-libGL-8.0.3-3.fc17.x86_64
- xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.x86_64
- xorg-x11-server-Xorg-1.12.2-4.fc17.x86_64

After resume from suspend a reboot is still required to recover a working desktop.

Comment 23 Joachim Frieben 2012-08-27 15:42:37 UTC
No improvement for current F18 including
- kernel-3.6.0-0.rc3.git1.1.fc18.x86_64
- libdrm-2.4.38-2.fc18.x86_64
- mesa-libGL-8.1-0.17.fc18.x86_64
- xorg-x11-drv-ati-7.0.0-0.5.20120816gitcdf522f59.fc18.x86_64
- xorg-x11-server-Xorg-1.12.99.905-2.20120822.fc18.x86_64

After resume from suspend, a reboot is still required to recover a working desktop. Desktop elements like the clock in the top panel get frozen at the time of resume. The mouse cursor can be moved but no actions are possible.

Comment 24 Fedora End Of Life 2013-01-16 22:03:09 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 25 Fedora End Of Life 2013-02-14 00:43:11 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.